#define IDX_CPS_KEY 0
#define IDX_CPM_KEY 2
#define IDX_uSv_KEY 4
#define IDX_MODE_KEY 4

#define IDX_CPS 1
#define IDX_CPM 3
#define IDX_uSv 5
#define IDX_MODE 7

#define PIN_UART_RX D1 // 4
#define PIN_UART_TX 13 // UNUSED

#define BAUD_GEIGERCOUNTER 9600

const char* WIFI_HOSTNAME = "MightyOhm-GeigerCounter";
const char* WIFI_SSID = "eigene ssid";
const char* WIFI_PASSWORD = "eigenes passwort";

//#define OTA_PASSWORD "foobar"

#define MQTT_HOST "192.168.17.181"

#define MQTT_TOPIC_CPS "sensor/geigercounter/cps"
#define MQTT_TOPIC_CPM "sensor/geigercounter/cpm"
#define MQTT_TOPIC_USV "sensor/geigercounter/uSv"
#define MQTT_TOPIC_MODE "sensor/geigercounter/mode"
#define MQTT_TOPIC_LAST_WILL "sensor/geigercounter/status"

// Only publishes values if changed since last publish
#define MQTT_PUBLISH_INTERVAL_MS (10 * 1000)